<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/Sys_Dictionary.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/system/Sys_Dictionary.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "dicId",
      footer: "Foots",
      cnName: "字典数据",
      name: "Sys_Dictionary",
      url: "/Sys_Dictionary/",
      sortName: "dicId",
    });
    const editFormFields = ref({
      dicNo: "",
      dicName: "",
      parentId: "",
      orderNo: "",
      enable: "",
      sql: "",
      remark: "",
    });
    const editFormOptions = ref([
      [
        { title: "字典编号", required: true, field: "dicNo" },
        { title: "字典名称", required: true, field: "dicName" },
        { title: "父级ID", required: true, field: "parentId", type: "number" },
      ],
      [
        { title: "排序号", field: "orderNo", type: "number" },
        {
          dataKey: "enable",
          data: [],
          title: "是否启用",
          required: true,
          field: "enable",
          type: "select",
        },
      ],
      [
        { title: "sql语句", field: "sql", colSize: 8, type: "textarea" },
        { title: "备注", field: "remark", type: "textarea" },
      ],
    ]);
    const searchFormFields = ref({
      dicNo: "",
      dicName: "",
      parentId: "",
      enable: "",
      createDate: "",
      modifyDate: "",
    });
    const searchFormOptions = ref([
      [
        { title: "字典编号", field: "dicNo" },
        { title: "字典名称", field: "dicName", type: "textarea" },
        { title: "父级ID", field: "parentId", type: "number" },
      ],
      [
        {
          dataKey: "enable",
          data: [],
          title: "是否启用",
          field: "enable",
          type: "select",
        },
        { title: "创建时间", field: "createDate", type: "datetime" },
        { title: "修改时间", field: "modifyDate", type: "datetime" },
      ],
    ]);
    const columns = ref([
      {
        field: "dicId",
        title: "字典ID",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "dicNo",
        title: "字典编号",
        type: "string",
        width: 90,
        require: true,
        align: "left",
        sort: true,
      },
      {
        field: "dicName",
        title: "字典名称",
        type: "string",
        link: true,
        width: 140,
        require: true,
        align: "left",
      },
      {
        field: "parentId",
        title: "父级ID",
        type: "int",
        width: 90,
        require: true,
        align: "left",
      },
      {
        field: "config",
        title: "配置项",
        type: "string",
        width: 300,
        hidden: true,
        align: "left",
      },
      {
        field: "sql",
        title: "sql语句",
        type: "string",
        width: 200,
        align: "left",
      },
      {
        field: "orderNo",
        title: "排序号",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "enable",
        title: "是否启用",
        type: "byte",
        bind: { key: "enable", data: [] },
        width: 90,
        require: true,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 130,
        hidden: true,
        readonly: true,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 150,
        readonly: true,
        align: "left",
        sort: true,
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 130,
        hidden: true,
        readonly: true,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 150,
        readonly: true,
        align: "left",
        sort: true,
      },
    ]);
    const detail = ref({
      cnName: "字典明细",
      table: "Sys_DictionaryList",
      columns: [
        {
          field: "dicList_ID",
          title: "DicList_ID",
          type: "int",
          width: 90,
          hidden: true,
          readonly: true,
          require: true,
          align: "left",
        },
        {
          field: "dicId",
          title: "数据源ID",
          type: "int",
          width: 90,
          readonly: true,
          align: "left",
          sort: true,
        },
        {
          field: "dicValue",
          title: "数据源Value",
          type: "string",
          width: 90,
          edit: { type: "text" },
          align: "left",
        },
        {
          field: "dicName",
          title: "数据源Text",
          type: "string",
          width: 90,
          edit: { type: "text" },
          align: "left",
        },
        {
          field: "orderNo",
          title: "排序号",
          type: "int",
          width: 90,
          edit: { type: "text" },
          align: "left",
        },
        {
          field: "remark",
          title: "备注",
          type: "string",
          width: 90,
          edit: { type: "text" },
          align: "left",
        },
       
        {
          field: "createID",
          title: "CreateID",
          type: "int",
          width: 90,
          hidden: true,
          align: "left",
        },
        {
          field: "creater",
          title: "创建人",
          type: "string",
          width: 130,
          readonly: true,
          align: "left",
        },
        {
          field: "createDate",
          title: "创建时间",
          type: "datetime",
          width: 90,
          readonly: true,
          align: "left",
          sort: true,
        },
        
        {
          field: "modifier",
          title: "修改人",
          type: "string",
          width: 130,
          align: "left",
        },
        {
          field: "modifyDate",
          title: "修改时间",
          type: "datetime",
          width: 90,
          align: "left",
          sort: true,
        },
      ],
      sortName: "dicId",
      key: "dicId",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
